This is Sushi, a quick previewer for Nautilus, the GNOME desktop file manager.
------------------------------------------------------------------------------

Sushi is a DBus-activated service. For Sushi to popup, applications will have
to call the ShowFile method on the org.gnome.NautilusPreviewer interface.
If you want to or debug Sushi without a calling application, you can use
gdbus(1) to call the ShowFile method manually on the bus.

=======
Methods
=======

ShowFile(s: FileUri, i: ParentXid, b: CloseIfShown)

Activates Sushi previewing the file at the provided URI.
If a XID is specified, the Sushi window is made transient to that window.
If the CloseIfShown parameter is TRUE, Sushi will close if it's already
running.

Close()

Explicitly closes Sushi.
